EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerImages_IncrementDownloadCount',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Increments the download count for a Docker image.'
GO

IF OBJECT_ID('[DockerImages_IncrementDownloadCount]') IS NOT NULL DROP PROCEDURE [DockerImages_IncrementDownloadCount]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerImages_IncrementDownloadCount]
(
	@Feed_Id INT,
	@Repository_Name VARCHAR(255),
	@Image_Digest VARCHAR(128)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [DockerImages]
	   SET [Download_Count] = [Download_Count] + 1
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Repository_Name] = @Repository_Name
	   AND [Image_Digest] = @Image_Digest

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [DockerImages_IncrementDownloadCount] TO [ProGetUser_Role]
GO