EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'MavenArtifacts_GetArtifacts',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'MavenArtifacts_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the Maven artifacts in a feed.'
GO

IF OBJECT_ID('[MavenArtifacts_GetArtifacts]') IS NOT NULL DROP PROCEDURE [MavenArtifacts_GetArtifacts]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [MavenArtifacts_GetArtifacts]
(
	@Feed_Id INT,
	@GroupId_Text NVARCHAR(200) = NULL,
	@ArtifactId_Text NVARCHAR(100) = NULL
)
AS
BEGIN

SET NOCOUNT ON
SET QUOTED_IDENTIFIER ON

	SELECT *
	  FROM [MavenArtifacts_Extended]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [GroupId_Text] = COALESCE(@GroupId_Text, [GroupId_Text])
	   AND [ArtifactId_Text] = COALESCE(@ArtifactId_Text, [ArtifactId_Text])

END
GO

GRANT EXECUTE ON [MavenArtifacts_GetArtifacts] TO [ProGetUser_Role]