IF OBJECT_ID('[DashboardFeeds_VulnerabilityAssessments]') IS NOT NULL DROP VIEW [DashboardFeeds_VulnerabilityAssessments]
GO

CREATE VIEW [DashboardFeeds_VulnerabilityAssessments]
AS
	SELECT 
        [Feed_Id],
        [AssessmentType_Name] = COALESCE([AssessmentType_Name], 'Unassessed'),
        [Custom_Color],
        [Vulnerability_Count] = COUNT(V.[Vulnerability_Id])
      
      FROM [Vulnerabilities] V
      
      INNER JOIN [VulnerabilitySources] VS
              ON VS.[VulnerabilitySource_Id] = V.[VulnerabilitySource_Id]
      INNER JOIN [FeedVulnerabilitySources] FVS 
              ON VS.[VulnerabilitySource_Id] = FVS.[VulnerabilitySource_Id]

      LEFT JOIN [AssessmentTypes] AT 
             ON AT.[AssessmentType_Id] = V.[AssessmentType_Id]

      GROUP BY FVS.[Feed_Id], AT.[AssessmentType_Id], AT.[AssessmentType_Name], AT.[Custom_Color]

GO